如何解决atom无法安装package的问题(gyp WARN install got an error, rolling back install)

在开源editor领域,你不得不注意到atom的存在:当sublime text 3开始收费,eclipse变得越来越臃肿而慢,而且UI及其难看,atom将是一个很好的选择。但当我第一次使用atom的时候遇到了下面的这个问题:

C:\Users\pt100314\.atom>apm install editor-stats --unsafe
Installing editor-stats to C:\Users\pt100314\.atom\packages
gyp info it worked if it ends with ok
gyp info using node-gyp@2.0.2
gyp info using node@0.10.40 | win32 | ia32
gyp http GET https://atom.io/download/atom-shell/v0.34.5/node-v0.34.5.tar.gz
gyp WARN install got an error, rolling back install
gyp

从这个打印上看,应该是gyp无法完成http GET(无法完成atom.io的302重定向)
这里有一个临时的解决方案,就是把ATOM_NODE_URL环境变量设为重定向之后的Url :

Windows temporary:

set ATOM_NODE_URL=http://gh-contractor-zcbenz.s3.amazonaws.com/atom-shell/dist

Windows permanently (execute “cmd” with “Run as Administrator”):

setx ATOM_NODE_URL http://gh-contractor-zcbenz.s3.amazonaws.com/atom-shell/dist /M

Linux:

export ATOM_NODE_URL=http://gh-contractor-zcbenz.s3.amazonaws.com/atom-shell/dist
阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u013613428/article/details/51545479
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭